#!/usr/bin/perl


$file = $ARGV[0];




#############################################################
#
# parsing argument
#
#############################################################

if(("$file" eq "-h") || ("$file" eq "--help")){
     
    $app = `basename $0`;
    chomp($app);


    printf("\n\n$app - retrives the number of words on a file\n\n");
    printf("\tExample : $0 <FILE>\n\n\n");

    exit 0;
} 



printf("\n\nFILENAME : $file");


#############################################################
#
# processing raw props file
#
#############################################################


`cat $file | sed -e 's/<font color=red>//g' | \
             sed -e 's/<html>//g' | \
             sed -e 's/<\\/html>//g' | \
             sed -e 's/<\\/font>//g' | \
             sed -e "s/\\n//g" | \
             sed -e 's/.*=\\(.*\\)/\\1/g' > /tmp/tmp1`;


printf("\n\n");

open(FILE1,">/tmp/tmp2") or die("unable to open file /tmp/tmp2");
    open(FILE2,"/tmp/tmp1") or die("unable to open file /tmp/tmp1"); 
 
        $cnt = 0;

        while(<FILE2>){

            $cnt++;

            $line = $_;
            chomp($line);

            while($line =~ /\t/){
                $line =~ s/\t/ /g;
            }

            while($line =~ /^ /){
                $line =~ s/ //;
            }

            if("$line" eq ""){ next; }  

            $line = "$line"."!!removeme!!";

            while($line =~ /  /){
                $line =~ s/  / /g;
            }

            $line =~ s/ !!removeme!!//g;
            $line =~ s/!!removeme!!//g;

            printf("$line ");
     
            print FILE1 "$line ";
  
        }

    close(FILE2);
close(FILE1);


#############################################################
#
# counting words through spaces 
#
#############################################################

$cnt2 = 0;
open(FILE,"/tmp/tmp2") or die("unable to open file /tmp/tmp2");

    while(<FILE>){

        $words = $_;
        chomp($words);

        while($words =~ / /){
            $words =~ s/ /!!space!!/;
            $cnt2++;
        }    
    }

close(FILE);


#unlink("/tmp/tmp1");
#unlink("/tmp/tmp2");


printf("\n\n\n");
printf("WORD COUNT : $cnt2\n");
printf("LINE COUNT : $cnt\n");
