#!/bin/sh
########################################################################
#             (c) Copyright 2010 Lexmark R&D Corporation               #
#                        All rights reserved                           #
########################################################################
#                                                                      #
#  This script will display a confirmation dialog.                     #
#                                                                      #
#  Parameters: <title> <message>                                       #
########################################################################

# Dialog title
title=$1

# Confirmation question
text=$2

# Check if zenity is available
zenity --help > /dev/null 2>&1
if [ $? -eq 0 ]; then
	#zenity --title="${title}" --question --text="${text}"
	zenity --title="${title}" --question --ok-label=Yes --cancel-label=No --text="${text}"
else
	kdialog --yesno "${text}" > /dev/null 2>&1
fi

